$(document).ready(function(){
    $('#btnSubmit').click(function(){
        if(!check()){
            return false;
        }
        return true;
    });
       
});

function check(){
        var posIntReg = /^[0-9]\d*$/;
        if($('#txtName').val().Trim() == ''){alert('店内分类名称必须填写'); return false;}else if(strlen($('#txtName').val().Trim())>50){alert('商家名必须在25个汉字以内');return false;}
        if($('#txtSort').val().Trim() == ''){alert('显示优先级必须填写'); return false;}else if(!posIntReg.test($('#txtSort').val().Trim())|| $('#txtSort').val().Trim()>9999){alert('显示优先级0到9999');return false;}
//        if($('#fileCategory').val().Trim() == ''){alert('上传分类图片必须填写'); return false;}
        if($('#ddlCategory').val().Trim()=='0'){alert('所属店内一级分类必须选择');return false;}
        return true;
        
        
}
function strlen(str) {   
    var len = 0;   
    for (var i = 0; i < str.length; i++) {   
        if (str.charCodeAt(i) > 255 || str.charCodeAt(i<0)) len += 2; else len ++;   
    }   
    return len;
}